- repo: https://github.com/pre-commit/pre-commit-hooks
  sha: v1.1.0
  hooks:
  - id: trailing-whitespace
  - id: flake8
    args:
    # 79 chars is too strict and we don't have 80-char terminals nowadays,
    # 160 chars is too much since it doesn't let us use split view efficiently:
    - --max-line-length=120
    - --ignore=E731
  - id: check-merge-conflict
  - id: double-quote-string-fixer
  - id: end-of-file-fixer
  - id: name-tests-test
    include: tests/
    args:
    - --django
  - id: debug-statements
  - id: check-added-large-files
  - id: check-ast
  - id: check-byte-order-marker
  - id: check-case-conflict
  # disabled due to pre-commit/pre-commit-hooks#159
  #- id: check-docstring-first
  - id: check-json
  - id: pretty-format-json
    args:
    - --autofix
    - --no-sort-keys
  - id: check-symlinks
  - id: check-yaml
  - id: detect-private-key
  - id: requirements-txt-fixer

# hook to remove tabs
- repo: https://github.com/Lucas-C/pre-commit-hooks
  sha: 1e30aa4
  hooks:
  - id: remove-tabs
    exclude: Makefile|docs/Makefile|docs/make.bat

# hook warn about alt text for images in html
- repo: https://github.com/Lucas-C/pre-commit-hooks-lxml
  sha: 44f1a42
  hooks:
  - id: forbid-html-img-without-alt-text

# A tool (and pre-commit hook) to automatically upgrade syntax for newer versions of the language.
- repo: https://github.com/asottile/pyupgrade
  sha: v1.2.0
  hooks:
  - id: pyupgrade

# Mirror of the pydocstyle (formerly pep257) package for pre-commit.
- repo: https://github.com/MSchuwalow/pre-commit-mirrors-pydocstyle
  sha: bb0d60c
  hooks:
  - id: pydocstyle

# hook for pylint
- repo: https://github.com/pre-commit/mirrors-pylint
  sha: 79f01bf
  hooks:
  - id: pylint
    exclude: >
            (?x)^(
                docs/.+|
                setup.py
            )$
    args:
    - --msg-template={path}:L {line:3d}:({symbol}) {msg} (C {column:2d}), ::{msg_id}
    - --output-format=colorized
    - --disable=locally-disabled, locally-enabled, logging-format-interpolation
    - --init-hook='import sys; sys.path.append("{{ cookiecutter.project_slug }}")'
    - --init-import=n
    - --max-line-length=120
    - --good-names=logger
#    - --ignore-patterns=<pattern>
#    - --jobs=<n-processes>
